diff --git a/src/confdb/confdb_setup.c b/src/confdb/confdb_setup.c
index b13553e..01c9c7e 100644
--- a/src/confdb/confdb_setup.c
+++ b/src/confdb/confdb_setup.c
@@ -56,8 +56,8 @@ int confdb_test(struct confdb_ctx *cdb)
 
     if (strcmp(values[0], CONFDB_VERSION) != 0) {
         /* Existing version does not match executable version */
-        DEBUG(1, ("Upgrading confdb version from %s to %s\n",
-                  values[0], CONFDB_VERSION));
+        DEBUG(1, "Upgrading confdb version from %s to %s\n",
+                  values[0], CONFDB_VERSION);
 
         /* This is recoverable, since we purge the confdb file
          * when we re-initialize it.
@@ -114,8 +114,8 @@ int confdb_create_base(struct confdb_ctx *cdb)
     while ((ldif = ldb_ldif_read_string(cdb->ldb, &base_ldif))) {
         ret = ldb_add(cdb->ldb, ldif->msg);
         if (ret != LDB_SUCCESS) {
-            DEBUG(0, ("Failed to initialize DB (%d,[%s]), aborting!\n",
-                      ret, ldb_errstring(cdb->ldb)));
+            DEBUG(0, "Failed to initialize DB (%d,[%s]), aborting!\n",
+                      ret, ldb_errstring(cdb->ldb));
             return EIO;
         }
         ldb_ldif_read_free(cdb->ldb, ldif);
@@ -141,13 +141,13 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
 
     tmp_ctx = talloc_new(cdb);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Out of memory.\n");
         return ENOMEM;
     }
 
     init_data = sss_ini_initdata_init(tmp_ctx);
     if (!init_data) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Out of memory.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -155,7 +155,7 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     /* Open config file */
     ret = sss_ini_config_file_open(init_data, config_file);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to open configuration file.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to open configuration file.\n");
         ret = EIO;
         goto done;
     }
@@ -163,7 +163,7 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = sss_ini_config_access_check(init_data);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Permission check on config file failed.\n"));
+              "Permission check on config file failed.\n");
         ret = EPERM;
         goto done;
     }
@@ -174,7 +174,7 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = sss_ini_get_stat(init_data);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Status check on config file failed.\n"));
+              "Status check on config file failed.\n");
         ret = errno;
         goto done;
     }
@@ -184,7 +184,7 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = sss_ini_get_mtime(init_data, sizeof(timestr), timestr);
     if (ret <= 0 || ret >= sizeof(timestr)) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to convert time_t to string ??\n"));
+              "Failed to convert time_t to string ??\n");
         ret = errno ? errno : EFAULT;
     }
     ret = confdb_get_string(cdb, tmp_ctx, "config", "lastUpdate",
@@ -198,13 +198,13 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
             goto done;
         }
     } else {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to get lastUpdate attribute.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to get lastUpdate attribute.\n");
         goto done;
     }
 
     ret = sss_ini_get_config(init_data, config_file);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to load configuration\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to load configuration\n");
         goto done;
     }
 
@@ -212,7 +212,7 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = sss_ini_get_cfgobj(init_data, "sssd", "config_file_version");
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Internal error determining config_file_version\n"));
+              "Internal error determining config_file_version\n");
         goto done;
     }
 
@@ -220,8 +220,8 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     if (ret != EOK) {
         /* No known version. Assumed to be version 1 */
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Config file is an old version. "
-               "Please run configuration upgrade script.\n"));
+              "Config file is an old version. "
+               "Please run configuration upgrade script.\n");
         ret = EINVAL;
         goto done;
     }
@@ -229,17 +229,17 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     version = sss_ini_get_int_config_value(init_data, 1, -1, &ret);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-                ("Config file version could not be determined\n"));
+                "Config file version could not be determined\n");
         goto done;
     } else if (version < CONFDB_VERSION_INT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-                ("Config file is an old version. "
-                 "Please run configuration upgrade script.\n"));
+                "Config file is an old version. "
+                 "Please run configuration upgrade script.\n");
         ret = EINVAL;
         goto done;
     } else if (version > CONFDB_VERSION_INT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-                ("Config file version is newer than confdb\n"));
+                "Config file version is newer than confdb\n");
         ret = EINVAL;
         goto done;
     }
@@ -248,8 +248,8 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = ldb_transaction_start(cdb->ldb);
     if (ret != LDB_SUCCESS) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to start a transaction for "
-               "updating the configuration\n"));
+              "Failed to start a transaction for "
+               "updating the configuration\n");
         ret = sysdb_error_to_errno(ret);
         goto done;
     }
@@ -259,24 +259,24 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = confdb_purge(cdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not purge existing configuration\n"));
+              "Could not purge existing configuration\n");
         goto done;
     }
 
     ret = sss_confdb_create_ldif(tmp_ctx, init_data, &config_ldif);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Could not create LDIF for confdb\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Could not create LDIF for confdb\n");
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("LDIF file to import: \n%s", config_ldif));
+    DEBUG(SSSDBG_TRACE_LIBS, "LDIF file to import: \n%s", config_ldif);
 
     while ((ldif = ldb_ldif_read_string(cdb->ldb, &config_ldif))) {
         ret = ldb_add(cdb->ldb, ldif->msg);
         if (ret != LDB_SUCCESS) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                    ("Failed to initialize DB (%d,[%s]), aborting!\n",
-                     ret, ldb_errstring(cdb->ldb)));
+                    "Failed to initialize DB (%d,[%s]), aborting!\n",
+                     ret, ldb_errstring(cdb->ldb));
             ret = EIO;
             goto done;
         }
@@ -289,13 +289,13 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = confdb_add_param(cdb, true, "config", "lastUpdate", vals);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-                ("Failed to set last update time on db!\n"));
+                "Failed to set last update time on db!\n");
         goto done;
     }
 
     ret = ldb_transaction_commit(cdb->ldb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -306,7 +306,7 @@ done:
     if (in_transaction) {
         sret = ldb_transaction_cancel(cdb->ldb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
 
diff --git a/src/db/sysdb.c b/src/db/sysdb.c
index da5dbe8..80b6297 100644
--- a/src/db/sysdb.c
+++ b/src/db/sysdb.c
@@ -52,7 +52,7 @@ errno_t sysdb_ldb_connect(TALLOC_CTX *mem_ctx, const char *filename,
 
     mod_path = getenv(LDB_MODULES_PATH);
     if (mod_path != NULL) {
-        DEBUG(9, ("Setting ldb module path to [%s].\n", mod_path));
+        DEBUG(9, "Setting ldb module path to [%s].\n", mod_path);
         ldb_set_modules_dir(ldb, mod_path);
     }
 
@@ -667,21 +667,21 @@ int sysdb_attrs_users_from_str_list(struct sysdb_attrs *attrs,
     }
     el->values = vals;
 
-    DEBUG(9, ("Adding %d members to existing %d ones\n",
-              num, el->num_values));
+    DEBUG(9, "Adding %d members to existing %d ones\n",
+              num, el->num_values);
 
     for (i = 0, j = el->num_values; i < num; i++) {
 
         member = sysdb_user_strdn(el->values, domain, list[i]);
         if (!member) {
-            DEBUG(4, ("Failed to get user dn for [%s]\n", list[i]));
+            DEBUG(4, "Failed to get user dn for [%s]\n", list[i]);
             continue;
         }
         el->values[j].data = (uint8_t *)member;
         el->values[j].length = strlen(member);
         j++;
 
-        DEBUG(7, ("    member #%d: [%s]\n", i, member));
+        DEBUG(7, "    member #%d: [%s]\n", i, member);
     }
     el->num_values = j;
 
@@ -755,8 +755,8 @@ int sysdb_error_to_errno(int ldberr)
         return EINVAL;
     default:
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("LDB returned unexpected error: [%s]\n",
-               ldb_strerror(ldberr)));
+              "LDB returned unexpected error: [%s]\n",
+               ldb_strerror(ldberr));
         return EFAULT;
     }
 }
@@ -769,7 +769,7 @@ int sysdb_transaction_start(struct sysdb_ctx *sysdb)
 
     ret = ldb_transaction_start(sysdb->ldb);
     if (ret != LDB_SUCCESS) {
-        DEBUG(1, ("Failed to start ldb transaction! (%d)\n", ret));
+        DEBUG(1, "Failed to start ldb transaction! (%d)\n", ret);
     }
     return sysdb_error_to_errno(ret);
 }
@@ -780,7 +780,7 @@ int sysdb_transaction_commit(struct sysdb_ctx *sysdb)
 
     ret = ldb_transaction_commit(sysdb->ldb);
     if (ret != LDB_SUCCESS) {
-        DEBUG(1, ("Failed to commit ldb transaction! (%d)\n", ret));
+        DEBUG(1, "Failed to commit ldb transaction! (%d)\n", ret);
     }
     return sysdb_error_to_errno(ret);
 }
@@ -791,7 +791,7 @@ int sysdb_transaction_cancel(struct sysdb_ctx *sysdb)
 
     ret = ldb_transaction_cancel(sysdb->ldb);
     if (ret != LDB_SUCCESS) {
-        DEBUG(1, ("Failed to cancel ldb transaction! (%d)\n", ret));
+        DEBUG(1, "Failed to cancel ldb transaction! (%d)\n", ret);
     }
     return sysdb_error_to_errno(ret);
 }
@@ -852,10 +852,10 @@ errno_t sysdb_domain_create(struct sysdb_ctx *sysdb, const char *domain_name)
     /* do a synchronous add */
     ret = ldb_add(sysdb->ldb, msg);
     if (ret != LDB_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to initialize DB (%d, [%s]) "
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to initialize DB (%d, [%s]) "
                                      "for domain %s!\n",
                                      ret, ldb_errstring(sysdb->ldb),
-                                     domain_name));
+                                     domain_name);
         ret = EIO;
         goto done;
     }
@@ -882,10 +882,10 @@ errno_t sysdb_domain_create(struct sysdb_ctx *sysdb, const char *domain_name)
     /* do a synchronous add */
     ret = ldb_add(sysdb->ldb, msg);
     if (ret != LDB_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to initialize DB (%d, [%s]) "
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to initialize DB (%d, [%s]) "
                                      "for domain %s!\n",
                                      ret, ldb_errstring(sysdb->ldb),
-                                     domain_name));
+                                     domain_name);
         ret = EIO;
         goto done;
     }
@@ -912,10 +912,10 @@ errno_t sysdb_domain_create(struct sysdb_ctx *sysdb, const char *domain_name)
     /* do a synchronous add */
     ret = ldb_add(sysdb->ldb, msg);
     if (ret != LDB_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to initialize DB (%d, [%s]) for "
+        DEBUG(SSSDBG_FATAL_FAILURE, "Failed to initialize DB (%d, [%s]) for "
                                      "domain %s!\n",
                                      ret, ldb_errstring(sysdb->ldb),
-                                     domain_name));
+                                     domain_name);
         ret = EIO;
         goto done;
     }
@@ -987,11 +987,11 @@ int sysdb_domain_init_internal(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         goto done;
     }
-    DEBUG(5, ("DB File for %s: %s\n", domain->name, sysdb->ldb_file));
+    DEBUG(5, "DB File for %s: %s\n", domain->name, sysdb->ldb_file);
 
     ret = sysdb_ldb_connect(sysdb, sysdb->ldb_file, &sysdb->ldb);
     if (ret != EOK) {
-        DEBUG(1, ("sysdb_ldb_connect failed.\n"));
+        DEBUG(1, "sysdb_ldb_connect failed.\n");
         goto done;
     }
 
@@ -1046,14 +1046,14 @@ int sysdb_domain_init_internal(TALLOC_CTX *mem_ctx,
 
         if (!allow_upgrade) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Wrong DB version (got %s expected %s)\n",
-                   version, SYSDB_VERSION));
+                  "Wrong DB version (got %s expected %s)\n",
+                   version, SYSDB_VERSION);
             ret = sysdb_version_check(SYSDB_VERSION, version);
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Upgrading DB [%s] from version: %s\n",
-                  domain->name, version));
+        DEBUG(SSSDBG_CONF_SETTINGS, "Upgrading DB [%s] from version: %s\n",
+                  domain->name, version);
 
         if (strcmp(version, SYSDB_VERSION_0_3) == 0) {
             ret = sysdb_upgrade_03(sysdb, &version);
@@ -1153,13 +1153,13 @@ int sysdb_domain_init_internal(TALLOC_CTX *mem_ctx,
             talloc_zfree(sysdb->ldb);
             ret = sysdb_ldb_connect(sysdb, sysdb->ldb_file, &sysdb->ldb);
             if (ret != EOK) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("sysdb_ldb_connect failed.\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "sysdb_ldb_connect failed.\n");
             }
             goto done;
         }
 
-        DEBUG(0,("Unknown DB version [%s], expected [%s] for domain %s!\n",
-                 version?version:"not found", SYSDB_VERSION, domain->name));
+        DEBUG(0,"Unknown DB version [%s], expected [%s] for domain %s!\n",
+                 version?version:"not found", SYSDB_VERSION, domain->name);
         ret = sysdb_version_check(SYSDB_VERSION, version);
         goto done;
     }
@@ -1170,8 +1170,8 @@ int sysdb_domain_init_internal(TALLOC_CTX *mem_ctx,
     while ((ldif = ldb_ldif_read_string(sysdb->ldb, &base_ldif))) {
         ret = ldb_add(sysdb->ldb, ldif->msg);
         if (ret != LDB_SUCCESS) {
-            DEBUG(0, ("Failed to initialize DB (%d, [%s]) for domain %s!\n",
-                      ret, ldb_errstring(sysdb->ldb), domain->name));
+            DEBUG(0, "Failed to initialize DB (%d, [%s]) for domain %s!\n",
+                      ret, ldb_errstring(sysdb->ldb), domain->name);
             ret = EIO;
             goto done;
         }
@@ -1192,7 +1192,7 @@ int sysdb_domain_init_internal(TALLOC_CTX *mem_ctx,
     talloc_zfree(sysdb->ldb);
     ret = sysdb_ldb_connect(sysdb, sysdb->ldb_file, &sysdb->ldb);
     if (ret != EOK) {
-        DEBUG(1, ("sysdb_ldb_connect failed.\n"));
+        DEBUG(1, "sysdb_ldb_connect failed.\n");
     }
 
 done:
@@ -1269,7 +1269,7 @@ int sysdb_attrs_replace_name(struct sysdb_attrs *attrs, const char *oldname,
             e = &(attrs->a[i]);
         }
         if (strcasecmp(newname, attrs->a[i].name) == 0) {
-            DEBUG(3, ("New attribute name [%s] already exists.\n", newname));
+            DEBUG(3, "New attribute name [%s] already exists.\n", newname);
             return EEXIST;
         }
     }
@@ -1277,7 +1277,7 @@ int sysdb_attrs_replace_name(struct sysdb_attrs *attrs, const char *oldname,
     if (e != NULL) {
         dummy = talloc_strdup(attrs, newname);
         if (dummy == NULL) {
-            DEBUG(1, ("talloc_strdup failed.\n"));
+            DEBUG(1, "talloc_strdup failed.\n");
             return ENOMEM;
         }
 
@@ -1399,7 +1399,7 @@ errno_t sysdb_get_bool(struct sysdb_ctx *sysdb,
         goto done;
     } else if (res->count != 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Got more than one reply for base search!\n"));
+              "Got more than one reply for base search!\n");
         ret = EIO;
         goto done;
     }
@@ -1456,7 +1456,7 @@ errno_t sysdb_set_bool(struct sysdb_ctx *sysdb,
         }
     } else if (res->count != 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Got more than one reply for base search!\n"));
+              "Got more than one reply for base search!\n");
         ret = EIO;
         goto done;
     } else {
@@ -1582,7 +1582,7 @@ errno_t sysdb_attrs_primary_name(struct sysdb_ctx *sysdb,
         goto done;
     }
     if (orig_dn_el->num_values == 0) {
-        DEBUG(1, ("Original DN is not available.\n"));
+        DEBUG(1, "Original DN is not available.\n");
         ret = EINVAL;
         goto done;
     } else if (orig_dn_el->num_values == 1) {
@@ -1591,26 +1591,26 @@ errno_t sysdb_attrs_primary_name(struct sysdb_ctx *sysdb,
                             &rdn_attr,
                             &rdn_val);
         if (ret != EOK) {
-            DEBUG(1, ("Could not get rdn from [%s]\n",
-                      (const char *) orig_dn_el->values[0].data));
+            DEBUG(1, "Could not get rdn from [%s]\n",
+                      (const char *) orig_dn_el->values[0].data);
             goto done;
         }
     } else {
-        DEBUG(1, ("Should not have more than one origDN\n"));
+        DEBUG(1, "Should not have more than one origDN\n");
         ret = EINVAL;
         goto done;
     }
 
     /* First check whether the attribute name matches */
-    DEBUG(8, ("Comparing attribute names [%s] and [%s]\n",
-              rdn_attr, ldap_attr));
+    DEBUG(8, "Comparing attribute names [%s] and [%s]\n",
+              rdn_attr, ldap_attr);
     if (strcasecmp(rdn_attr, ldap_attr) != 0) {
         /* Multiple entries, and the RDN attribute doesn't match.
          * We have no way of resolving this deterministically,
          * so we'll use the first value as a fallback.
          */
-        DEBUG(3, ("The entry has multiple names and the RDN attribute does "
-                  "not match. Will use the first value as fallback.\n"));
+        DEBUG(3, "The entry has multiple names and the RDN attribute does "
+                  "not match. Will use the first value as fallback.\n");
         *_primary = (const char *)sysdb_name_el->values[0].data;
         ret = EOK;
         goto done;
@@ -1631,7 +1631,7 @@ errno_t sysdb_attrs_primary_name(struct sysdb_ctx *sysdb,
          * throw up our hands. There's no deterministic way to
          * decide which name is correct.
          */
-        DEBUG(1, ("Cannot save entry. Unable to determine groupname\n"));
+        DEBUG(1, "Cannot save entry. Unable to determine groupname\n");
         ret = EINVAL;
         goto done;
     }
@@ -1640,8 +1640,8 @@ errno_t sysdb_attrs_primary_name(struct sysdb_ctx *sysdb,
 
 done:
     if (ret != EOK) {
-        DEBUG(1, ("Could not determine primary name: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Could not determine primary name: [%d][%s]\n",
+                  ret, strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
@@ -1694,7 +1694,7 @@ errno_t sysdb_attrs_get_aliases(TALLOC_CTX *mem_ctx,
 
     if (lowercase) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Domain is case-insensitive; will add lowercased aliases\n"));
+              "Domain is case-insensitive; will add lowercased aliases\n");
     }
 
     ai = 0;
@@ -1772,7 +1772,7 @@ errno_t sysdb_attrs_primary_name_list(struct sysdb_ctx *sysdb,
                                        ldap_attr,
                                        &name);
         if (ret != EOK) {
-            DEBUG(1, ("Could not determine primary name\n"));
+            DEBUG(1, "Could not determine primary name\n");
             /* Skip and continue. Don't advance 'j' */
             continue;
         }
@@ -1818,7 +1818,7 @@ errno_t sysdb_get_real_name(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_getpwnam(tmp_ctx, sysdb, domain, name, &res);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot canonicalize username\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot canonicalize username\n");
         goto done;
     }
 
@@ -1828,14 +1828,14 @@ errno_t sysdb_get_real_name(TALLOC_CTX *mem_ctx,
         goto done;
     } else if (res->count != 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("sysdb_getpwnam returned count: [%d]\n", res->count));
+              "sysdb_getpwnam returned count: [%d]\n", res->count);
         ret = EIO;
         goto done;
     }
 
     cname = ldb_msg_find_attr_as_string(res->msgs[0], SYSDB_NAME, NULL);
     if (!cname) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("A user with no name?\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "A user with no name?\n");
         ret = ENOENT;
         goto done;
     }
@@ -1856,14 +1856,14 @@ errno_t sysdb_msg2attrs(TALLOC_CTX *mem_ctx, size_t count,
 
     a = talloc_array(mem_ctx, struct sysdb_attrs *, count);
     if (a == NULL) {
-        DEBUG(1, ("talloc_array failed.\n"));
+        DEBUG(1, "talloc_array failed.\n");
         return ENOMEM;
     }
 
     for (i = 0; i < count; i++) {
         a[i] = talloc(a, struct sysdb_attrs);
         if (a[i] == NULL) {
-            DEBUG(1, ("talloc failed.\n"));
+            DEBUG(1, "talloc failed.\n");
             talloc_free(a);
             return ENOMEM;
         }
